Subject: bug#6758: 23.2; xterm.el: please provide an option to not discard input in terminal-init-xterm

From: Jim Paris <[email-masked]>
Date: Mon, 23 Aug 2010 20:48:01 -0400

Any thoughts on this patch?

I've found further problems with doing aynchronous terminal queries:
minibuffer prompts get aborted by the xterm response.  For example,
when opening up a large file:

1) Emacs loads and sends "\e[>0c"
2) Emacs prints the "File x is large (123MB), really open? (y or n)" prompt
3) Xterm sends the "\e[>0;253;0c" response, aborting the prompt

Is there a way to make the (define-key input-decode-map "\e[?" nil)
stuff take effect in the minibuffer too so the response can be
properly handled?  Or handle the xterm responses at a higher level
so it doesn't matter where they get sent?

Sigh, this whole terminal response stuff is a real mess and new
failure modes keep popping up every month...  I don't see how this
can be enabled by default for anyone in its current form.

-jim